package com.jty.wsxt.application.service;

import com.jty.wsxt.domain.model.paper.Paper;
import com.jty.wsxt.interfaces.dto.PaperDto;
import com.jty.wsxt.interfaces.dto.PaperSearchDto;
import org.springframework.data.domain.Page;

/**
 * PaperService
 *
 * @author Manjiajie
 * @since 2019-6-21 11:35:20
 */
public interface PaperService {
    /**
     * 新增试卷
     * @param paperSearchDto paperDto
     */
    void addPaper(PaperSearchDto paperSearchDto);

    Page<Paper> findPagePaper(PaperSearchDto paperSearchDto);

    /**
     * 删除试卷
     * @param paperId paperId
     */
    void deletePaper(Integer paperId);
}
